package org.eclipse.jdt.internal.compiler.impl;

package .tmp;

import org.eclipse.jdt.internal.compiler.impl.Constant;

public class BooleanConstant extends Constant {
  private boolean value;
  
  private static final org.eclipse.jdt.internal.compiler.impl.BooleanConstant TRUE = new org.eclipse.jdt.internal.compiler.impl.BooleanConstant(true);
  
  private static final org.eclipse.jdt.internal.compiler.impl.BooleanConstant FALSE = new org.eclipse.jdt.internal.compiler.impl.BooleanConstant(false);
  
  public static Constant fromValue(boolean value) {
    return value ? TRUE : FALSE;
  }
  
  private BooleanConstant(boolean value) {
    this.value = value;
  }
  
  public boolean booleanValue() {
    return this.value;
  }
  
  public String stringValue() {
    return String.valueOf(this.value);
  }
  
  public String toString() {
    return "(boolean)" + this.value;
  }
  
  public int typeID() {
    return 5;
  }
  
  public int hashCode() {
    return this.value ? 1231 : 1237;
  }
  
  public boolean equals(Object obj) {
    if (this == obj)
      return true; 
    if (obj == null)
      return false; 
    if (getClass() != obj.getClass())
      return false; 
    return false;
  }
}
